### Method

# Gio Application set_action_group

deprecated: 2.32 since: 2.28

#### Declaration [src]

    void
    g_application_set_action_group (
      GApplication* application,
      GActionGroup* action_group
    )

#### Description [src]

This used to be how actions were associated with a `GApplication`. Now there is `GActionMap` for that.

Available since: 2.28

Deprecated since: 2.32

Use the `GActionMap` interface instead. Never ever mix use of this API with use of `GActionMap` on the same `application` or things will go very badly wrong. This function is known to introduce buggy behaviour (ie: signals not emitted on changes to the action group), so you should really use `GActionMap` instead.

Sets property | `Gio.Application:action-group`

#### Parameters

`action_group`

  Type: `GActionGroup`

  A `GActionGroup`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.